/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Information that identifies the recommended resource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ActivityContentDetailsRecommendation extends GenericJson {

  /**
   * The reason that the resource is recommended to the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String reason;

  /**
   * The resourceId object contains information that identifies the recommended resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private ResourceId resourceId;

  /**
   * The seedResourceId object contains information about the resource that caused the
   * recommendation.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private ResourceId seedResourceId;

  /**
   * The reason that the resource is recommended to the user.
   * The value returned may be {@code null}.
   */
  public String getReason() {
    return reason;
  }

  /**
   * The reason that the resource is recommended to the user.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsRecommendation setReason(String reason) {
    this.reason = reason;
    return this;
  }

  /**
   * The resourceId object contains information that identifies the recommended resource.
   * The value returned may be {@code null}.
   */
  public ResourceId getResourceId() {
    return resourceId;
  }

  /**
   * The resourceId object contains information that identifies the recommended resource.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsRecommendation setResourceId(ResourceId resourceId) {
    this.resourceId = resourceId;
    return this;
  }

  /**
   * The seedResourceId object contains information about the resource that caused the
   * recommendation.
   * The value returned may be {@code null}.
   */
  public ResourceId getSeedResourceId() {
    return seedResourceId;
  }

  /**
   * The seedResourceId object contains information about the resource that caused the
   * recommendation.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsRecommendation setSeedResourceId(ResourceId seedResourceId) {
    this.seedResourceId = seedResourceId;
    return this;
  }

}
