/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for PlaylistItemContentDetails.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PlaylistItemContentDetails extends GenericJson {

  /**
   * The time, measured in seconds from the start of the video, when the video should stop playing.
   * (The playlist owner can specify the times when the video should start and stop playing when the
   * video is played in the context of the playlist.) By default, assume that the video.endTime is
   * the end of the video.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String endAt;

  /**
   * A user-generated note for this item.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String note;

  /**
   * The time, measured in seconds from the start of the video, when the video should start playing.
   * (The playlist owner can specify the times when the video should start and stop playing when the
   * video is played in the context of the playlist.) The default value is 0.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String startAt;

  /**
   * The ID that YouTube uses to uniquely identify a video. To retrieve the video resource, set the
   * id query parameter to this value in your API request.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String videoId;

  /**
   * The time, measured in seconds from the start of the video, when the video should stop playing.
   * (The playlist owner can specify the times when the video should start and stop playing when the
   * video is played in the context of the playlist.) By default, assume that the video.endTime is
   * the end of the video.
   * The value returned may be {@code null}.
   */
  public String getEndAt() {
    return endAt;
  }

  /**
   * The time, measured in seconds from the start of the video, when the video should stop playing.
   * (The playlist owner can specify the times when the video should start and stop playing when the
   * video is played in the context of the playlist.) By default, assume that the video.endTime is
   * the end of the video.
   * The value set may be {@code null}.
   */
  public PlaylistItemContentDetails setEndAt(String endAt) {
    this.endAt = endAt;
    return this;
  }

  /**
   * A user-generated note for this item.
   * The value returned may be {@code null}.
   */
  public String getNote() {
    return note;
  }

  /**
   * A user-generated note for this item.
   * The value set may be {@code null}.
   */
  public PlaylistItemContentDetails setNote(String note) {
    this.note = note;
    return this;
  }

  /**
   * The time, measured in seconds from the start of the video, when the video should start playing.
   * (The playlist owner can specify the times when the video should start and stop playing when the
   * video is played in the context of the playlist.) The default value is 0.
   * The value returned may be {@code null}.
   */
  public String getStartAt() {
    return startAt;
  }

  /**
   * The time, measured in seconds from the start of the video, when the video should start playing.
   * (The playlist owner can specify the times when the video should start and stop playing when the
   * video is played in the context of the playlist.) The default value is 0.
   * The value set may be {@code null}.
   */
  public PlaylistItemContentDetails setStartAt(String startAt) {
    this.startAt = startAt;
    return this;
  }

  /**
   * The ID that YouTube uses to uniquely identify a video. To retrieve the video resource, set the
   * id query parameter to this value in your API request.
   * The value returned may be {@code null}.
   */
  public String getVideoId() {
    return videoId;
  }

  /**
   * The ID that YouTube uses to uniquely identify a video. To retrieve the video resource, set the
   * id query parameter to this value in your API request.
   * The value set may be {@code null}.
   */
  public PlaylistItemContentDetails setVideoId(String videoId) {
    this.videoId = videoId;
    return this;
  }

}
