/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Describes a single promoted item.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PromotedItem extends GenericJson {

  /**
   * A custom message to display for this promotion. This field is currently ignored unless the
   * promoted item is a website.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String customMessage;

  /**
   * Identifies the promoted item.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private PromotedItemId id;

  /**
   * The temporal position within the video where the promoted item will be displayed. If present,
   * it overrides the default timing.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private InvideoTiming timing;

  /**
   * A custom message to display for this promotion. This field is currently ignored unless the
   * promoted item is a website.
   * The value returned may be {@code null}.
   */
  public String getCustomMessage() {
    return customMessage;
  }

  /**
   * A custom message to display for this promotion. This field is currently ignored unless the
   * promoted item is a website.
   * The value set may be {@code null}.
   */
  public PromotedItem setCustomMessage(String customMessage) {
    this.customMessage = customMessage;
    return this;
  }

  /**
   * Identifies the promoted item.
   * The value returned may be {@code null}.
   */
  public PromotedItemId getId() {
    return id;
  }

  /**
   * Identifies the promoted item.
   * The value set may be {@code null}.
   */
  public PromotedItem setId(PromotedItemId id) {
    this.id = id;
    return this;
  }

  /**
   * The temporal position within the video where the promoted item will be displayed. If present,
   * it overrides the default timing.
   * The value returned may be {@code null}.
   */
  public InvideoTiming getTiming() {
    return timing;
  }

  /**
   * The temporal position within the video where the promoted item will be displayed. If present,
   * it overrides the default timing.
   * The value set may be {@code null}.
   */
  public PromotedItem setTiming(InvideoTiming timing) {
    this.timing = timing;
    return this;
  }

}
