/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * DEPRECATED Region restriction of the video.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class VideoContentDetailsRegionRestriction extends GenericJson {

  /**
   * A list of region codes that identify countries where the video is viewable. If this property is
   * present and a country is not listed in its value, then the video is blocked from appearing in
   * that country. If this property is present and contains an empty list, the video is blocked in
   * all countries.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> allowed;

  /**
   * A list of region codes that identify countries where the video is blocked. If this property is
   * present and a country is not listed in its value, then the video is viewable in that country.
   * If this property is present and contains an empty list, the video is viewable in all countries.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> blocked;

  /**
   * A list of region codes that identify countries where the video is viewable. If this property is
   * present and a country is not listed in its value, then the video is blocked from appearing in
   * that country. If this property is present and contains an empty list, the video is blocked in
   * all countries.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getAllowed() {
    return allowed;
  }

  /**
   * A list of region codes that identify countries where the video is viewable. If this property is
   * present and a country is not listed in its value, then the video is blocked from appearing in
   * that country. If this property is present and contains an empty list, the video is blocked in
   * all countries.
   * The value set may be {@code null}.
   */
  public VideoContentDetailsRegionRestriction setAllowed(java.util.List<String> allowed) {
    this.allowed = allowed;
    return this;
  }

  /**
   * A list of region codes that identify countries where the video is blocked. If this property is
   * present and a country is not listed in its value, then the video is viewable in that country.
   * If this property is present and contains an empty list, the video is viewable in all countries.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getBlocked() {
    return blocked;
  }

  /**
   * A list of region codes that identify countries where the video is blocked. If this property is
   * present and a country is not listed in its value, then the video is viewable in that country.
   * If this property is present and contains an empty list, the video is viewable in all countries.
   * The value set may be {@code null}.
   */
  public VideoContentDetailsRegionRestriction setBlocked(java.util.List<String> blocked) {
    this.blocked = blocked;
    return this;
  }

}
